# Gnome::Gda::MetaStructError Class Reference

Exception class for Gda MetaStruct errors. More...

Inheritance diagram for Gnome::Gda::MetaStructError:
[legend]
Collaboration diagram for Gnome::Gda::MetaStructError:
[legend]

List of all members.

## Public Types

enum | Code { META_STRUCT_UNKNOWN_OBJECT_ERROR, META_STRUCT_DUPLICATE_OBJECT_ERROR, META_STRUCT_INCOHERENCE_ERROR }

## Public Member Functions

| MetaStructError (Code error_code, const Glib::ustring& error_message)
| MetaStructError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gda MetaStruct errors.

## Member Enumeration Documentation

enum Gnome::Gda::MetaStructError::Code

Enumerator:

  META_STRUCT_UNKNOWN_OBJECT_ERROR |
  META_STRUCT_DUPLICATE_OBJECT_ERROR |
  META_STRUCT_INCOHERENCE_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::MetaStructError::MetaStructError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::MetaStructError::MetaStructError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::MetaStructError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/metastruct.h